Subject: bug#43232: closed (Re: bug#43232: [PATCH 2/2] gnu: jack2: 'declare-for-int phase no longer required.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Sep 2020 18:49:02 +0000

Your bug report

#43232: jack2 fails to build on aarch64

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43232: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43232
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43232: [PATCH 2/2] gnu: jack2: 'declare-for-int phase no longer required.
From: Andreas Enge <[email-masked]>
To: Mike Rosset <[email-masked]>
Cc: [email-masked], Vitaliy Shatrov <[email-masked]>, [email-masked]
Date: Tue, 15 Sep 2020 20:48:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Sep 15, 2020 at 01:37:05AM -0700, Mike Rosset wrote:
> Apologies, I just wanted to keep a series for posterity which normally
> I'm terrible at. I should have mentioned you could just squash them.

No problem, it is just less work for me to apply just one patch :)

I pushed the commit, thanks a lot! The new jack2 now also compiles on
aarch64, so the original problem is solved.

Andreas

Subject: jack2 fails to build on aarch64
From: Vitaliy Shatrov <[email-masked]>
To: Д-д-добрые Люди <[email-masked]>
Cc: Mike Rosset <[email-masked]>
Date: Sun, 06 Sep 2020 10:53:52 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix.

gst-plugins-good needs jack2.  Sites like YouTube need gst-plugins-good.
Some people think they need the video in Web-browsers (lol, mpv rules).

guix 81ea278 is still has no jack2, it's all i know about.

Please fix jack2, someone.
Thankful for Your attention, Vitaliy.